unix-compat-0.7.4.1: Portable POSIX-compatibility layer.

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.PosixCompat.Process

Description

This module intends to make the operations of `System.Posix.Process` available on all platforms.

Synopsis

- getProcessID :: IO ProcessID

# Documentation

getProcessID :: IO ProcessID Source #

`getProcessID` calls `getpid` to obtain the `ProcessID` for the current process.